Subject: [NAT] IP Options not allowed

From: "Mohammad Awad" <[email-masked]>
Date: Mon, 10 Mar 2003 07:55:01 +0200

Hi All,
According to the previous discussion with Brian, regarding evaluation of 
inventing new options in IPv4 for management of whatever issues, (here it 
was for improving NAT managability), Brian made it clear for me that IP 
options surely would degrade the performance of the backbone routers, and 
logically there's nothing to sacrifice the overall performance for. May I 
thank Brian very much for his respected clarification. But what I've found 
that some implementations (definitely CISCO 12000 series 10GB) include a 
functionality named (IP options selective drop), which enables the 
adminstrator to either
1- drop a packet containing an option or
2-"ignore the option, preserve its existence and let the packet pass".
refer to 
(http://www.cisco.com/en/US/products/sw/iosswrel/ps1829/products_feature_guide09186a0080104376.html#35920)
So, by opting the second preference, I think that such feature in the 
backbone type routers, could enable exploiting the IP options space with 
options that do not require any sort of handling by the intermediate nodes, 
just require routers to passively convey them to the destination points, 
whereby they should be handled as intended.
Looking forward for any comments.
Mohammad Awad.

>From: Brian E Carpenter <[email-masked]>
>To: Mohammad Awad <[email-masked]>
>Subject: Re: Need More Clarification
>Date: Wed, 05 Mar 2003 09:17:22 +0100
>
>Anything to do with NAT is bad and should not be recommended.
>The way ahead is IPv6, not NAT.
>
>The problem with IP options is that new options will force routers
>to kick the packet from the fast path (hardware processing)
>onto the slow path (software processing). At multi-gigabit
>line speeds, this is a very bad idea- it will increase router
>latency by several orders of magnitude for those packets. I'm
>not aware of any measurements, but it's obvious by construction.
>I don't think the IETF has written this down, it's in the class
>of "everybody knows" like so much Internet folklore.
>
>Hope this helps
>    Brian
>
>- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
>Brian E Carpenter
>Distinguished Engineer, Internet Standards & Technology, IBM
>On assignment at the IBM Zurich Laboratory, Switzerland
>
>
>Mohammad Awad wrote:
> >
> > Hi Brian,
> > I really was interested in reading the discussion between you and 
>Kuniaki
> > Kondo in the mail
> > 
>(http://www1.ietf.org/mail-archive/working-groups/nat/current/msg00037.html),
> > about the proposal of exploiting the IP Options in some NAT enhancement.
> > I've got the point that this subject was discussed before and was not
> > recommended due to some reasons. My point is:
> > regarding the statement that says (IP options degrade the performance of 
>the
> > backbone routers):
> > 1- Is there any measures or studies that prove this phenomena or just
> > expirementals?
> > 2- Was there any directions (through a standard document) to recommend 
>stop
> > using the IP options as a whole?
> > Thanks in advance,
> > Moh Awad.
>
>

_________________________________________________________________
Add photos to your e-mail with MSN 8. Get 2 months FREE*. 
http://join.msn.com/?page=features/featuredemail

_______________________________________________
nat mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nat